Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class Cache.Entry

    java.lang.Object
      de.grogra.graph.Cache.Entry

Enclosing class:
  Cache

    public abstract static class Cache.Entry

extends java.lang.Object

Constructor Summary
`Cache.Entry(java.lang.Object object, boolean asNode, ContextDependent dependent, java.lang.Object strategy, GraphState gs)`

Method Summary
`protected abstract java.lang.Object` | `computeValue(java.lang.Object oldValue, ContextDependent object, java.lang.Object strategy, GraphState gs)`
`void` | `write(float value)`
`void` | `write(float[] value)`
`void` | `write(float[] value, int begin, int length)`
`void` | `write(int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cache.Entry

    public Cache.Entry(java.lang.Object object,
                       boolean asNode,
                       ContextDependent dependent,
                       java.lang.Object strategy,
                       GraphState gs)

Method Detail

### computeValue

    protected abstract java.lang.Object computeValue(java.lang.Object oldValue,
                                                     ContextDependent object,
                                                     java.lang.Object strategy,
                                                     GraphState gs)

### write

    public final void write(float value)

### write

    public final void write(float[] value)

### write

    public final void write(float[] value,
                            int begin,
                            int length)

### write

    public final void write(int value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD